# YarnNodeAttribute

Class in [Yarn.Unity](/2.4/api/csharp/yarn.unity.md)

Inherits from `UnityEngine.PropertyAttribute`

## Summary

Specifies that a field represents a reference to a named Yarn node that exists in a Yarn project.

```csharp
public class YarnNodeAttribute : PropertyAttribute
```

## Remarks

This attribute causes the inspector to draw a popup that allows selecting a node from a list of all nodes available in a Yarn project.

This attribute may only be used with `string` fields.

## Fields

| Name                                                                                                                                 | Description                                                                        |
| ------------------------------------------------------------------------------------------------------------------------------------ | ---------------------------------------------------------------------------------- |
| [yarnProjectAttribute](/2.4/api/csharp/yarn.unity/yarn.unity.yarnnodeattribute/yarn.unity.yarnnodeattribute.yarnprojectattribute.md) | The name of a property that specifies the YarnProject containing the desired node. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.4/api/csharp/yarn.unity/yarn.unity.yarnnodeattribute.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
